org.apache.avro.perf.test.basic.jmh_generated

## Class StringTest_TestStateDecode_jmhType_B1

- java.lang.Object
- - org.apache.avro.perf.test.BasicState
  - - org.apache.avro.perf.test.basic.StringTest.TestStateDecode
    - - org.apache.avro.perf.test.basic.jmh_generated.StringTest_TestStateDecode_jmhType_B1

Direct Known Subclasses:
  StringTest_TestStateDecode_jmhType_B2

    public class StringTest_TestStateDecode_jmhType_B1
    extends StringTest.TestStateDecode

### Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`StringTest_TestStateDecode_jmhType_B1()`

### Method Summary

### Methods inherited from class org.apache.avro.perf.test.basic.StringTest.TestStateDecode

`doSetupInvocation, doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringTest_TestStateDecode_jmhType_B1

    public StringTest_TestStateDecode_jmhType_B1()